Name:           desktop-data-model
Version:        1.2.5
Release:        10%{?dist}
Summary:        Engine providing live updates of online data to the desktop

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/OnlineDesktop
Source0:        http://download.gnome.org/sources/desktop-data-model/desktop-data-model-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Previously, libddm-1.so was shipped in the mugshot package
Conflicts: mugshot < 1.1.90-1

BuildRequires:  empathy-devel >= 2.26
BuildRequires:  glib2-devel >= 2.6
BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  loudmouth-devel >= 1.0.3-3
BuildRequires:  dbus-devel >= 0.61
BuildRequires:  dbus-glib-devel >= 0.61 
BuildRequires:  pcre-devel >= 6.3
BuildRequires:  gnome-desktop-devel >= 2.10.0
BuildRequires:  sqlite-devel >= 3.0.0
BuildRequires:  libXScrnSaver-devel

# 1.0.3-3 has a backport from 1.0.4 to fix various segfaults
Requires:       loudmouth >= 1.0.3-3

%description
desktop-data-model provides an engine and client library that allow
desktop applications to retrieve data from the online.gnome.org server
and elsewhere and get updates when the data changes. This allows
creating applications that provide a live display of information
from the Internet.

%package devel
Summary: Development headers for Online Desktop Data Model
Group: Development/Languages
Requires: pkgconfig
Requires: desktop-data-model = %{version}-%{release}
Conflicts: mugshot-devel < 1.1.90-1
Obsoletes: mugshot-devel

%description devel
This package contains libraries for Online Desktop Data Model.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Don't package a .la file for the component .so
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo %{version} > %{_datadir}/desktop-data-model/version
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%ghost %{_datadir}/desktop-data-model/version
%{_libexecdir}/desktop-data-engine
%{_datadir}/dbus-1/services/*.service
%{_libdir}/*.so.*

%files devel
%dir %{_includedir}/ddm-1
%{_includedir}/ddm-1/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Wed Apr 01 2009 Adam Jackson <ajax@redhat.com> 1.2.5-10
- Rebuild for yet another libempathy

* Tue Mar 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.5-9
- rebuild to fix broken deps

* Thu Mar 05 2009 Brian Pepple <bpepple@fedoraproject.org> - 1.2.5-8
- Rebuild for new libempathy

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 1.2.5-6
- Rebuild for dependencies.

* Thu Feb 12 2009 Caolán McNamara <caolanm@redhat.com> - 1.2.5-5
- rebuild for dependancies

* Wed Jan 07 2009 Caolán McNamara <caolanm@redhat.com> - 1.2.5-4
- rebuild for dependancies

* Tue Dec 30 2008 Caolán McNamara <caolanm@redhat.com> - 1.2.5-3
- rebuild for dependancies

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 1.2.5-2
- rebuild for dependancies

* Tue Oct 28 2008 Owen Taylor <otaylor@redhat.com> - 1.2.5-1
- Update to 1.2.5 (adds BuildRequires: empathy)

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 1.2.4-2
- rebuild for dependancies

* Thu Apr 24 2008 Colin Walters <walters@redhat.com> - 1.2.4-1
- new upstream

* Fri Apr 04 2008 Colin Walters <walters@redhat.com> - 1.2.3-1
- new upstream

* Thu Mar 20 2008 Colin Walters <walters@redhat.com> - 1.2.2-1
- new upstream

* Wed Feb 27 2008 Colin Walters <walters@redhat.com> - 1.2.0-2
- Require desktop-data-model from -devel
- Add conflicts: on earlier Mugshot versions since we both ship libddm-1.so

* Tue Jan 29 2008 Colin Walters <walters@redhat.com> - 1.2.0-1
- initial splat into spec
